Sends a collection of orders (minimum of 2 and maximum 15):
Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected.
On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed.
All orders in batch are limited to a single pair.
Note: See the AssetPairs endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc.
API Key Permissions Required:Orders and trades - Create & modify orders and Orders and trades - Cancel & close orders
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
RFC3339 timestamp (e.g. 2021-04-01T00:18:45Z) after which the matching engine should reject the new order request, in presence of latency or order queueing. min now() + 2 seconds, max now() + 60 seconds.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Kraken Developers","colors":{"primary":"#101114","light":"#FFFFFF","dark":"#101114"},"logo":{"light":"https://mintcdn.com/kraken/opwCJHYUnRFWd1O3/logo/light.svg?fit=max\u0026auto=format\u0026n=opwCJHYUnRFWd1O3\u0026q=85\u0026s=6be2f97a23f9a7aa6ef071ae334cc89c","dark":"https://mintcdn.com/kraken/opwCJHYUnRFWd1O3/logo/dark.svg?fit=max\u0026auto=format\u0026n=opwCJHYUnRFWd1O3\u0026q=85\u0026s=97e079a88bc1e9f156ed533a5f9d5d05"},"favicon":"https://mintcdn.com/kraken/qRZxIUN3tXcpjqG0/favicon.svg?fit=max\u0026auto=format\u0026n=qRZxIUN3tXcpjqG0\u0026q=85\u0026s=1215f433d712b5e667fd4e7599391422","api":{"examples":{"languages":["curl","python","javascript","go"]}},"appearance":{"default":"dark","strict":false},"navbar":{"primary":{"type":"button","label":"Get API key","href":"https://pro.kraken.com/app/settings/api"}},"footer":{"socials":{"x":"https://x.com/krakenfx","github":"https://github.com/krakenfx","linkedin":"https://linkedin.com/company/kraken-exchange"}},"contextual":{"options":["copy","view","download-spec","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"kraken","hasAudioNarration":false,"actualSubdomain":"kraken","customDomains":["docs.kraken.com"],"gitSource":{"type":"gitlab","owner":"eng-devs","repo":"kraken-api-docs","hostUrl":"https://roshi-korin.honeycrypt.com","projectId":28500,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4bbf6af0623d0054ded3b","collectionId":"3ffb37e4-eb87-46ff-9b51-527afc5cb033","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4bbf6af0623d0054ded3b"},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae4bbf6af0623d0054ded3b","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API Reference","count":366},{"language":"default","tag":"Exchange","count":309},{"language":"default","tag":"Institutional","count":96},{"language":"default","tag":"Spot REST","count":81},{"language":"default","tag":"Derivatives REST","count":71},{"language":"default","tag":"Guides","count":45},{"language":"default","tag":"Market Data","count":39},{"language":"default","tag":"Session","count":31},{"language":"default","tag":"Trading","count":29},{"language":"default","tag":"Custody REST","count":25}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":"@import url(https://assets.kraken.com/fonts/kraken.css);@import url(https://assets.kraken.com/fonts/celias.css);body,body *,html{font-family:var(--kp-font-sans)!important;-webkit-font-smoothing:antialiased}h1,h2,h3,h4{font-family:var(--kp-font-brand)!important}.prose h1,.prose h2,.prose h3,.prose h4,.prose h5,.prose h6{font-family:var(--kp-font-brand)!important;font-weight:500!important}.kp-mono,.kp-mono *,body [class*=Code],body [class*=code],body code,body code *,body kbd,body pre,body pre *,body samp{font-family:var(--kp-font-mono)!important}:root{--kp-primary:#101114;--kp-primary-hover:#2a2c33;--kp-brand:#7132f5;--kp-font-sans:'Kraken-Product', system-ui, -apple-system, sans-serif;--kp-font-mono:'Kraken-Mono', ui-monospace, monospace;--kp-font-brand:'Kraken-Brand', 'Celias', system-ui, sans-serif;--kp-bg-page:#f6f5f9;--kp-bg-card:#ffffff;--kp-bg-subtle:rgba(104, 107, 130, 0.12);--kp-text-heading:#101114;--kp-text-body:#686b82;--kp-text-placeholder:#9497a9;--kp-text-accent:#101114;--kp-text-meta:#9497a9;--kp-border:rgba(104, 107, 130, 0.16);--kp-terminal-bg:transparent;--kp-terminal-text:var(--kp-text-body);--kp-terminal-heading:var(--kp-text-heading);--kp-terminal-muted:var(--kp-text-placeholder)}html.dark{--kp-primary:#ffffff;--kp-primary-hover:#e7e7e7;--kp-brand:#8a61ff;--kp-bg-page:#0b0611;--kp-bg-card:#16121f;--kp-bg-subtle:rgba(255, 255, 255, 0.07);--kp-text-heading:#ffffff;--kp-text-body:#c6c7d2;--kp-text-placeholder:#9497a9;--kp-text-accent:#ffffff;--kp-text-meta:rgba(255, 255, 255, 0.45);--kp-border:rgba(255, 255, 255, 0.1)}@media (prefers-reduced-motion:reduce){.kp-terminal *,.kp-welcome-hero *{animation-duration:.01ms!important;animation-iteration-count:1!important;transition-duration:.01ms!important}}body,body #almond-background-color{background-color:var(--kp-bg-page)!important}.prose{--tw-prose-body:var(--kp-text-body)!important;--tw-prose-headings:var(--kp-text-heading)!important;--tw-prose-links:var(--kp-text-accent)!important;--tw-prose-bold:var(--kp-text-heading)!important;--tw-prose-code:var(--kp-text-heading)!important;--tw-prose-counters:var(--kp-text-body)!important;--tw-prose-bullets:var(--kp-text-placeholder)!important;--tw-prose-hr:var(--kp-border)!important;--tw-prose-quotes:var(--kp-text-body)!important;--tw-prose-quote-borders:var(--kp-border)!important;--tw-prose-th-borders:var(--kp-border)!important;--tw-prose-td-borders:var(--kp-border)!important}nav a,nav button{color:var(--kp-text-body)}nav a:hover,nav button:hover{color:var(--kp-text-heading)}.nav-logo{width:150px!important;height:auto!important}[data-component-part=field-root]{border-color:var(--kp-border)!important}[role=tablist] button[data-state=active]{color:var(--kp-text-heading)!important;border-color:var(--kp-primary)!important}[role=tablist] button[data-state=inactive]{color:var(--kp-text-placeholder)!important}body:has(.kp-welcome-hero) #header{display:none!important}@media (min-width:1024px){.kp-welcome-hero{display:grid;grid-template-columns:1fr 1fr;gap:2rem;align-items:start;margin-bottom:2.5rem}}.prose .kp-welcome-title{font-size:36px!important;line-height:1.15!important;letter-spacing:-.01em;margin:0 0 1rem!important}.kp-welcome-hero-code .code-group{margin-top:0!important;margin-bottom:0!important}.prose a.kp-hero-btn-primary{text-decoration:none!important;border:1px solid var(--kp-primary)!important;background-color:var(--kp-primary);color:var(--kp-bg-card)!important}.prose a.kp-hero-btn-primary:hover{background-color:var(--kp-primary-hover);border-color:var(--kp-primary-hover)!important}html.dark .prose a.kp-hero-btn-primary{color:var(--kp-bg-page)!important}.kp-terminal{background:var(--kp-terminal-bg)!important;border-color:var(--kp-border)!important}.kp-terminal.kp-terminal-card{background:var(--kp-bg-card)!important}.kp-terminal .kp-term-output{color:var(--kp-terminal-text)}.kp-terminal .kp-term-prompt-text{color:var(--kp-terminal-heading)!important}.kp-terminal .kp-term-cursor{background:var(--kp-terminal-heading)!important}.kp-terminal span[aria-hidden=true]:first-child{color:var(--kp-terminal-muted)!important}.kp-term-output,pre code{scrollbar-width:none}.kp-cli-install::-webkit-scrollbar,.kp-term-output::-webkit-scrollbar,pre code::-webkit-scrollbar{display:none}@media (max-width:480px){.kp-term-output{font-size:11px!important;padding:12px 14px!important}}.kp-cli-install{scrollbar-width:none}.kp-cli-copy-btn{transition:color .15s ease}.kp-cli-install:hover .kp-cli-copy-btn{color:var(--kp-text-heading)!important}.kp-cli-install:focus-visible{outline:2px solid var(--kp-brand);outline-offset:-2px}.kp-cli-copy-btn svg{transition:transform .15s ease}.kp-cli-install:hover .kp-cli-copy-btn svg{transform:scale(1.15)}.login-link{display:none!important}"},{"filePath":"global.css","content":"hr{margin-top:1rem!important;margin-bottom:1rem!important}[data-component-part=field-content]{margin-top:.25rem!important}.api-banner{display:flex;align-items:center;gap:.5rem;border:1px solid light-dark(#e5e6ec,#353746);box-shadow:0 0 0 5px light-dark(#fff,#0b0611),0 0 0 6px light-dark(#e5e6ec,#353746);border-radius:1rem;padding:.4rem;margin-bottom:.8rem}.api-banner .api-protocol{color:#fff;font-weight:800;font-size:12px;padding:.1rem .5rem;border-radius:1rem;text-transform:uppercase}.api-banner .api-protocol.ws{background:light-dark(#0079b4,#004e75)}.api-banner .api-protocol.fix{background:light-dark(#a67c1d,#6f5000)}.api-banner .api-detail,.api-banner .api-tag{font-family:var(--kp-font-mono);font-size:14px;color:light-dark(#484b5e,#9497a9)}.api-banner .api-tag{margin-left:auto;font-weight:600;font-size:12px;background:light-dark(#eeeff3,#292b38);color:light-dark(#484b5e,#c6c7d2);padding:.1rem 1.5rem;border-radius:.7rem}div:has(>.nav-tag-pill){order:-1;margin-left:0!important;margin-right:.9rem!important}.prose code:not(pre *){padding-inline:.15em}pre code{font-size:12px!important}[data-component-part=code-block-root],[data-component-part=code-group-tab-content]{line-height:1.25rem!important}#content-side-layout{position:relative!important;top:auto!important;height:auto!important;max-height:none!important}#header .prose{font-size:16px}.field-attr{font-weight:600;font-size:12px;line-height:16px;color:light-dark(#686b82,#9497a9)}"}],"page":{"pagePath":"api-reference/trading/add-order-batch","slug":"/api-reference/trading/add-order-batch","pageMetadata":{"title":"Add Order Batch","description":"Sends a collection of orders (minimum of 2 and maximum 15): \n* Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected.\n* On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. \n* All orders in batch are limited to a single pair.\n\n**Note**: See the [AssetPairs](/docs/rest-api/get-tradable-asset-pairs) endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc.\n\n**API Key Permissions Required:** `Orders and trades - Create \u0026 modify orders` and `Orders and trades - Cancel \u0026 close orders`\n","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AddOrderBatch","href":"/api-reference/trading/add-order-batch","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Sends a collection of orders (minimum of 2 and maximum 15):\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"All orders in batch are limited to a single pair.\"\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Note\"\n }), \": See the \", _jsx(_components.a, {\n href: \"/docs/rest-api/get-tradable-asset-pairs\",\n children: \"AssetPairs\"\n }), \" endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"API Key Permissions Required:\"\n }), \" \", _jsx(_components.code, {\n children: \"Orders and trades - Create \u0026 modify orders\"\n }), \" and \", _jsx(_components.code, {\n children: \"Orders and trades - Cancel \u0026 close orders\"\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Add Order Batch","description":"Sends a collection of orders (minimum of 2 and maximum 15): \n* Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected.\n* On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. \n* All orders in batch are limited to a single pair.\n\n**Note**: See the [AssetPairs](/docs/rest-api/get-tradable-asset-pairs) endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc.\n\n**API Key Permissions Required:** `Orders and trades - Create \u0026 modify orders` and `Orders and trades - Cancel \u0026 close orders`\n","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AddOrderBatch","href":"/api-reference/trading/add-order-batch","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Add Order Batch","description":"Sends a collection of orders (minimum of 2 and maximum 15): \n* Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected.\n* On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. \n* All orders in batch are limited to a single pair.\n\n**Note**: See the [AssetPairs](/docs/rest-api/get-tradable-asset-pairs) endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc.\n\n**API Key Permissions Required:** `Orders and trades - Create \u0026 modify orders` and `Orders and trades - Cancel \u0026 close orders`\n","tags":["Trading"],"operationId":"addOrderBatch","requestBody":"ab4d56c0-2734-49fe-b4f7-192f6356aa5e","responses":{"200":"4253d6b7-0d02-4893-9ab5-f9304c594cec"},"method":"post","type":"path","servers":["632ea6be-f503-4bfe-b53e-ce783499896c"],"security":["e1f38898-c6d7-42e2-b52a-c3b5dec50023"],"path":"/private/AddOrderBatch","baseUrlOptions":["https://api.kraken.com/0"],"title":"Add Order Batch","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","go"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"title":"Add Standard Order Request Body","required":["nonce","orders","pair"],"type":"object","properties":{"nonce":{"description":"Nonce used in construction of `API-Sign` header","type":"integer","format":"int64","isRequired":true,"uniqueKey":"nonce","typeLabel":"integer\u003cint64>"},"orders":{"type":"array","items":{"required":["ordertype","type","volume"],"type":"object","properties":{"ordertype":{"description":"Order type\n","type":"string","enum":["market","limit","iceberg","stop-loss","take-profit","stop-loss-limit","take-profit-limit","trailing-stop","trailing-stop-limit","settle-position"],"isRequired":true,"uniqueKey":"orders.items.[INDEX].ordertype","typeLabel":"enum\u003cstring>"},"type":{"description":"Order direction (buy/sell)","type":"string","enum":["buy","sell"],"isRequired":true,"uniqueKey":"orders.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"volume":{"description":"Order quantity in terms of the base asset\n> Note: Volume can be specified as `0` for closing margin orders to automatically fill the requisite quantity.\n","type":"string","isRequired":true,"uniqueKey":"orders.items.[INDEX].volume","typeLabel":"string"},"userref":{"description":"User reference id\n`userref` is an optional user-specified integer id that can be associated with any number of orders. Many clients choose a `userref` corresponding to a unique integer id generated by their systems (e.g. a timestamp). However, because we don't enforce uniqueness on our side, it can also be used to easily group orders by pair, side, strategy, etc. This allows clients to more readily cancel or query information about orders in a particular group, with fewer API calls by using `userref` instead of our `txid`, where supported.\n","type":"integer","format":"int32","uniqueKey":"orders.items.[INDEX].userref","typeLabel":"integer\u003cint32>"},"cl_ord_id":{"description":"Adds an alphanumeric client order identifier which uniquely identifies an open order for each client. This field is mutually exclusive with \u003ccode>userref\u003c/code> parameter.\n\nThe \u003ccode>cl_ord_id\u003c/code> parameter can be one of the following formats:\n * Long UUID: \u003ccode>6d1b345e-2821-40e2-ad83-4ecb18a06876\u003c/code> 32 hex characters separated with 4 dashes.\n * Short UUID: \u003ccode>da8e4ad59b78481c93e589746b0cf91f\u003c/code> 32 hex characters with no dashes.\n * Free text: \u003ccode>arb-20240509-00010\u003c/code> Free format ascii text up to 18 characters.\n","type":"string","uniqueKey":"orders.items.[INDEX].cl_ord_id","typeLabel":"string"},"displayvol":{"description":"For `iceberg` orders only, it defines the quantity to show in the book while the rest of order quantity remains hidden. Minimum value is 1 / 15 of `volume`.\n","type":"string","uniqueKey":"orders.items.[INDEX].displayvol","typeLabel":"string"},"price":{"description":"Price:\n* Limit price for `limit` and `iceberg` orders\n* Trigger price for `stop-loss`, `stop-loss-limit`, `take-profit`, and `take-profit-limit` orders\n\nNotes:\n* Relative Prices: Either `price` or `price2` can be preceded by `+`, `-`, or `#` to specify the order price as an offset relative to the last traded price. `+` adds the amount to, and `-` subtracts the amount from the last traded price. `#` will either add or subtract the amount to the last traded price, depending on the direction and order type used. Prices can also be suffixed with a `%` to signify the relative amount as a percentage, rather than an absolute price difference.\n","type":"string","uniqueKey":"orders.items.[INDEX].price","typeLabel":"string"},"price2":{"description":"Secondary Price:\n* Limit price for `stop-loss-limit` and `take-profit-limit`\n","type":"string","uniqueKey":"orders.items.[INDEX].price2","typeLabel":"string"},"trigger":{"description":"Price signal used to trigger `stop-loss`, `stop-loss-limit`, `take-profit`, and `take-profit-limit` orders\nNotes:\n* To keep triggers serviceable, the last price will be used as fallback reference price during connectivity issues with external index feeds.\n","type":"string","enum":["index","last"],"default":"last","uniqueKey":"orders.items.[INDEX].trigger","typeLabel":"enum\u003cstring>"},"leverage":{"description":"Amount of leverage desired (default: none)\n","type":"string","uniqueKey":"orders.items.[INDEX].leverage","typeLabel":"string"},"reduce_only":{"description":"If `true`, order will only reduce a currently open position, not increase it or open a new position.","type":"boolean","default":false,"uniqueKey":"orders.items.[INDEX].reduce_only","typeLabel":"boolean"},"stptype":{"description":"Self trade prevention behaviour definition:\n* `cancel-newest` - if self trade is triggered, arriving order will be canceled\n* `cancel-oldest` - if self trade is triggered, resting order will be canceled\n* `cancel-both` - if self trade is triggered, both arriving and resting orders will be canceled\n","type":"string","enum":["cancel-newest","cancel-oldest","cancel-both"],"default":"cancel-newest","uniqueKey":"orders.items.[INDEX].stptype","typeLabel":"enum\u003cstring>"},"oflags":{"description":"Comma delimited list of order flags\n\n * \u0026bull; `post` post-only order (available when ordertype = limit)\n * \u0026bull; `fcib` prefer fee in base currency (default if selling)\n * \u0026bull; `fciq` prefer fee in quote currency (default if buying, mutually exclusive with `fcib`)\n * \u0026bull; `nompp` (DEPRECATED) — disabling Market Price Protection for market orders is no longer supported. If supplied, the flag is accepted but ignored.\n * \u0026bull; `viqc` order volume expressed in quote currency. This option is supported only for buy market orders. Also not available on margin orders.\n","type":"string","example":"post","uniqueKey":"orders.items.[INDEX].oflags","typeLabel":"string"},"timeinforce":{"description":"Time-in-force of the order to specify how long it should remain in the order book before being cancelled. GTC (Good-'til-cancelled) is default if the parameter is omitted. IOC (immediate-or-cancel) will immediately execute the amount possible and cancel any remaining balance rather than resting in the book. GTD (good-'til-date), if specified, must coincide with a desired `expiretm`.\n","type":"string","enum":["GTC","IOC","GTD"],"default":"GTC","uniqueKey":"orders.items.[INDEX].timeinforce","typeLabel":"enum\u003cstring>"},"starttm":{"description":"Scheduled start time, can be specified as an absolute timestamp or as a number of seconds in the future:\n * `0` now (default)\n * `+\u003cn>` schedule start time \u003cn> seconds from now\n * `\u003cn>` = unix timestamp of start time\n","type":"string","uniqueKey":"orders.items.[INDEX].starttm","typeLabel":"string"},"expiretm":{"description":"Expiry time on GTD orders can be set up to one month in future, it is specified as an absolute timestamp or as a number of seconds from now:\n * `0` no expiration (default)\n * `+\u003cn>` = expire \u003cn> seconds from now, minimum 5 seconds\n * `\u003cn>` = unix timestamp of expiration time\n","type":"string","uniqueKey":"orders.items.[INDEX].expiretm","typeLabel":"string"}},"uniqueKey":"orders.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"orders","typeLabel":"object[]"},"pair":{"description":"Asset pair `id` or `altname`","type":"string","isRequired":true,"uniqueKey":"pair","typeLabel":"string"},"asset_class":{"description":"This parameter is required on requests for non-crypto pairs, i.e. use `tokenized_asset` for xStocks.","type":"string","enum":["tokenized_asset"],"uniqueKey":"asset_class","typeLabel":"enum\u003cstring>"},"deadline":{"type":"string","description":"RFC3339 timestamp (e.g. 2021-04-01T00:18:45Z) after which the matching engine should reject the new order request, in presence of latency or order queueing. min now() + 2 seconds, max now() + 60 seconds. \n","uniqueKey":"deadline","typeLabel":"string"},"validate":{"type":"boolean","description":"Validate inputs only. Do not submit order.","default":false,"uniqueKey":"validate","typeLabel":"boolean"},"broker":{"oneOf":[{"description":"Broker IIBAN (Partner's Kraken IIBAN)","type":"string","uniqueKey":"broker.oneOf.0","typeLabel":"string"},{"description":"Broker IIBAN (Partner's Kraken IIBAN)","type":"null","uniqueKey":"broker.oneOf.1","typeLabel":"null"}],"uniqueKey":"broker","typeLabel":"string | null"}},"example":{"nonce":1695828490,"orders":[{"close":{"ordertype":"stop-loss-limit","price":"37000","price2":"36000"},"ordertype":"limit","price":"40000","price2":"string","timeinforce":"GTC","type":"buy","cl_ord_id":"6d1b345e-2821-40e2-ad83-4ecb18a06876","volume":"1.2"},{"ordertype":"limit","price":"42000","starttm":"string","timeinforce":"GTC","type":"sell","cl_ord_id":"da8e4ad59b78481c93e589746b0cf91","volume":"1.2"}],"pair":"BTC/USD","validate":false,"deadline":"2023-09-24T14:15:22Z"},"uniqueKey":"","typeLabel":"Add Standard Order Request Body · object"},"examples":{"Example":{"title":"Example","value":{"nonce":1695828490,"orders":[{"close":{"ordertype":"stop-loss-limit","price":"37000","price2":"36000"},"ordertype":"limit","price":"40000","price2":"string","timeinforce":"GTC","type":"buy","cl_ord_id":"6d1b345e-2821-40e2-ad83-4ecb18a06876","volume":"1.2"},{"ordertype":"limit","price":"42000","starttm":"string","timeinforce":"GTC","type":"sell","cl_ord_id":"da8e4ad59b78481c93e589746b0cf91","volume":"1.2"}],"pair":"BTC/USD","validate":false,"deadline":"2023-09-24T14:15:22Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"4253d6b7-0d02-4893-9ab5-f9304c594cec":{"description":"The order of returned `orders` in the response array is the same as the order of the order list sent in request.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"title":"Result","type":"object","properties":{"orders":{"title":"Orders","type":"array","items":{"type":"object","properties":{"descr":{"description":"Order description info","type":"object","properties":{"order":{"type":"string","uniqueKey":"result.orders.items.[INDEX].descr.order","typeLabel":"string"}},"uniqueKey":"result.orders.items.[INDEX].descr","typeLabel":"object"},"error":{"description":"Error description from individual order processing","type":"string","uniqueKey":"result.orders.items.[INDEX].error","typeLabel":"string"},"txid":{"description":"Transaction ID for order\n\u003cbr>\u003csup>\u003csub>(if order was added successfully)\u003c/sup>\u003c/sub>\n","type":"string","uniqueKey":"result.orders.items.[INDEX].txid","typeLabel":"string"}},"uniqueKey":"result.orders.items.[INDEX]","typeLabel":"object"},"uniqueKey":"result.orders","typeLabel":"Orders · object[]"}},"uniqueKey":"result","typeLabel":"Result · object"},"error":{"type":"array","items":{"type":"array","items":{"description":"Kraken API error","type":"string","example":"EGeneral:Invalid arguments","uniqueKey":"error.items.[INDEX].items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.items.[INDEX]","typeLabel":"string[]"},"uniqueKey":"error","typeLabel":"string[][]"}},"example":{"error":[],"result":{"orders":[{"txid":"65LRD3-AHGRA-YAH8E5","descr":{"order":"buy 1.02010000 XBTUSD @ limit 29000.0"}},{"txid":"OK8HFF-5J2PL-XLR17S","descr":{"order":"sell 0.14000000 XBTUSD @ limit 40000.0"}}]}},"uniqueKey":"","typeLabel":"object"},"examples":{"Limits, one with conditional stop-loss":{"title":"Limits, one with conditional stop-loss","value":{"error":[],"result":{"orders":[{"txid":"O5OR23-ADFAD-Y2G61C","descr":{"order":"buy 0.80300000 XBTUSD @ limit 28300.0","close":"close position @ stop loss 27000.0 -> limit 26000.0"}},{"txid":"9K6KFS-5H3PL-XBRC7A","descr":{"order":"sell 0.10500000 XBTUSD @ limit 36000.0"}}]}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"e1f38898-c6d7-42e2-b52a-c3b5dec50023":{"API-Key":{"type":"apiKey","description":"The \"API-Key\" header should contain your API key.","name":"API-Key","in":"header","scopes":[],"schemeName":"API-Key"},"API-Sign":{"type":"apiKey","description":"Authenticated requests should be signed with the \"API-Sign\" header, using a signature generated with your private key, nonce, encoded payload, and URI path.","name":"API-Sign","in":"header","scopes":[],"schemeName":"API-Sign"}}},"servers":{"632ea6be-f503-4bfe-b53e-ce783499896c":{"url":"https://api.kraken.com/0","description":"Production Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"The \"API-Key\" header should contain your API key.","name":"API-Key","in":"header","scopes":[],"schemeName":"API-Key"},"schema":{"title":"API-Key","type":"string","description":"The \"API-Key\" header should contain your API key.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"API-Key","name":"API-Key"},{"scheme":{"type":"apiKey","description":"Authenticated requests should be signed with the \"API-Sign\" header, using a signature generated with your private key, nonce, encoded payload, and URI path.","name":"API-Sign","in":"header","scopes":[],"schemeName":"API-Sign"},"schema":{"title":"API-Sign","type":"string","description":"Authenticated requests should be signed with the \"API-Sign\" header, using a signature generated with your private key, nonce, encoded payload, and URI path.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"API-Sign","name":"API-Sign"}],"title":"API-Key \u0026 API-Sign"}]},"originalFileLocation":"openapi/spot-rest.yaml"},"subdomain":"kraken","siteName":"Kraken Developers","title":"Add Order Batch - Kraken Developers","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-27T13:47:24.714Z","originalFileLocation":"api-reference/trading/add-order-batch.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Sends a collection of orders (minimum of 2 and maximum 15): Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected. On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. * All orders in batch are limited to a single pair. Note: See the AssetPairs endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc. API Key Permissions Required: Orders and trades - Create \u0026amp; modify orders and Orders and trades - Cancel \u0026amp; close orders\">\u003cmeta data-mint-head name=\"application-name\" content=\"Kraken Developers\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Add Order Batch - Kraken Developers\">\u003cmeta data-mint-head property=\"og:description\" content=\"Sends a collection of orders (minimum of 2 and maximum 15): Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected. On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. * All orders in batch are limited to a single pair. Note: See the AssetPairs endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc. API Key Permissions Required: Orders and trades - Create \u0026amp; modify orders and Orders and trades - Cancel \u0026amp; close orders\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Kraken Developers\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.kraken.com/api-reference/trading/add-order-batch\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://kraken.mintlify.app/_mintlify/api/og/v2?division=Trading\u0026amp;title=Add+Order+Batch\u0026amp;description=Sends+a+collection+of+orders+%28minimum+of+2+and+maximum+15%29%3A+%0A*+Validation+is+performed+on+the+whole+batch+prior+to+submission+to+the+engine.+If+an+order+fails+v\u0026amp;theme=5c8759ca94ea0060c63352cf\u0026amp;signature=510af22370bfd2cb24c69bf9841cc69416165394db5b62c925724dbc40c9a6fb\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Add Order Batch - Kraken Developers\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Sends a collection of orders (minimum of 2 and maximum 15): Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected. On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. * All orders in batch are limited to a single pair. Note: See the AssetPairs endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc. API Key Permissions Required: Orders and trades - Create \u0026amp; modify orders and Orders and trades - Cancel \u0026amp; close orders\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://kraken.mintlify.app/_mintlify/api/og/v2?division=Trading\u0026amp;title=Add+Order+Batch\u0026amp;description=Sends+a+collection+of+orders+%28minimum+of+2+and+maximum+15%29%3A+%0A*+Validation+is+performed+on+the+whole+batch+prior+to+submission+to+the+engine.+If+an+order+fails+v\u0026amp;theme=5c8759ca94ea0060c63352cf\u0026amp;signature=510af22370bfd2cb24c69bf9841cc69416165394db5b62c925724dbc40c9a6fb\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/kraken/WtiP_7MUCtGxw5vL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Kraken Developers\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#101114\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.kraken.com/api-reference/trading/add-order-batch\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/trading/add-order-batch.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.kraken.com/#organization\",\"name\":\"Kraken Developers\",\"url\":\"https://docs.kraken.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/kraken/opwCJHYUnRFWd1O3/logo/light.svg?fit=max\u0026auto=format\u0026n=opwCJHYUnRFWd1O3\u0026q=85\u0026s=6be2f97a23f9a7aa6ef071ae334cc89c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.kraken.com#website\",\"name\":\"Kraken Developers\",\"url\":\"https://docs.kraken.com\",\"publisher\":{\"@id\":\"https://docs.kraken.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.kraken.com/api-reference/trading/add-order-batch#webpage\",\"url\":\"https://docs.kraken.com/api-reference/trading/add-order-batch\",\"name\":\"Add Order Batch\",\"description\":\"Sends a collection of orders (minimum of 2 and maximum 15): Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected. On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. * All orders in batch are limited to a single pair. Note: See the AssetPairs endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc. API Key Permissions Required: Orders and trades - Create \u0026 modify orders and Orders and trades - Cancel \u0026 close orders\",\"dateModified\":\"2026-10-27T13:47:24.714Z\",\"isPartOf\":{\"@id\":\"https://docs.kraken.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.kraken.com/api-reference/trading/add-order-batch#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.kraken.com/api-reference/trading/add-order-batch#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Trading\",\"item\":\"https://docs.kraken.com/api-reference/trading/add-order\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Add Order Batch\",\"item\":\"https://docs.kraken.com/api-reference/trading/add-order-batch\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.kraken.com/api-reference/trading/add-order-batch#apireference\",\"headline\":\"Add Order Batch\",\"name\":\"Add Order Batch\",\"description\":\"Sends a collection of orders (minimum of 2 and maximum 15): Validation is performed on the whole batch prior to submission to the engine. If an order fails validation, the whole batch will be rejected. On submission to the engine, if an order fails pre-match checks (i.e. funding), then the individual order will be rejected and remainder of the batch will be processed. * All orders in batch are limited to a single pair. Note: See the AssetPairs endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc. API Key Permissions Required: Orders and trades - Create \u0026 modify orders and Orders and trades - Cancel \u0026 close orders\",\"url\":\"https://docs.kraken.com/api-reference/trading/add-order-batch\",\"mainEntityOfPage\":{\"@id\":\"https://docs.kraken.com/api-reference/trading/add-order-batch#webpage\"},\"dateModified\":\"2026-10-27T13:47:24.714Z\",\"publisher\":{\"@id\":\"https://docs.kraken.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.kraken.com#website\"}}]}\u003c/script>","siteName":"Kraken Developers","nav":{"global":{},"products":[{"product":"Home","pages":[{"title":"Home","href":""}]},{"product":"Exchange","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/exchange/guides/overview"}]},{"tab":"API Reference","dropdowns":[{"dropdown":"Overview","icon":"compass","pages":[{"title":"Exchange API reference","sidebarTitle":"Overview","href":"/exchange/api-reference/overview"}]},{"dropdown":"Spot REST","icon":"code","groups":[{"group":"Market Data","public":true,"pages":[{"title":"Get Server Time","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/Time","href":"/api-reference/market-data/get-server-time"},{"title":"Get System Status","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/SystemStatus","href":"/api-reference/market-data/get-system-status"},{"title":"Get Maintenance Schedule","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/MaintenanceSchedule","href":"/api-reference/market-data/get-maintenance-schedule"},{"title":"Get Asset Info","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/Assets","href":"/api-reference/market-data/get-asset-info"},{"title":"Get Tradable Asset Pairs","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/AssetPairs","href":"/api-reference/market-data/get-tradable-asset-pairs"},{"title":"Get Ticker Information","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/Ticker","href":"/api-reference/market-data/get-ticker-information"},{"title":"Get OHLC Data","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/OHLC","href":"/api-reference/market-data/get-ohlc-data"},{"title":"Get Order Book","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/Depth","href":"/api-reference/market-data/get-order-book"},{"title":"Query L3 Order Book","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Level3","href":"/api-reference/market-data/query-l3-order-book"},{"title":"Get Grouped Order Book","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/GroupedBook","href":"/api-reference/market-data/get-grouped-order-book"},{"title":"Get Recent Trades","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/Trades","href":"/api-reference/market-data/get-recent-trades"},{"title":"Get Recent Spreads","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/Spread","href":"/api-reference/market-data/get-recent-spreads"}]},{"group":"Account Data","public":true,"pages":[{"title":"Get Account Balance","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Balance","href":"/api-reference/account-data/get-account-balance"},{"title":"Get Extended Balance","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/BalanceEx","href":"/api-reference/account-data/get-extended-balance"},{"title":"Get Credit Lines","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/CreditLines","href":"/api-reference/account-data/get-credit-lines"},{"title":"Get Trade Balance","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/TradeBalance","href":"/api-reference/account-data/get-trade-balance"},{"title":"Get Open Orders","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/OpenOrders","href":"/api-reference/account-data/get-open-orders"},{"title":"Get Closed Orders","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/ClosedOrders","href":"/api-reference/account-data/get-closed-orders"},{"title":"Query Orders Info","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/QueryOrders","href":"/api-reference/account-data/query-orders-info"},{"title":"Get Order Amends","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/OrderAmends","href":"/api-reference/account-data/get-order-amends"},{"title":"Get Trades History","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/TradesHistory","href":"/api-reference/account-data/get-trades-history"},{"title":"Query Trades Info","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/QueryTrades","href":"/api-reference/account-data/query-trades-info"},{"title":"Get Open Positions","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/OpenPositions","href":"/api-reference/account-data/get-open-positions"},{"title":"Get Ledgers Info","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Ledgers","href":"/api-reference/account-data/get-ledgers-info"},{"title":"Query Ledgers","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/QueryLedgers","href":"/api-reference/account-data/query-ledgers"},{"title":"Get Trade Volume","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/TradeVolume","href":"/api-reference/account-data/get-trade-volume"},{"title":"Request Export Report","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AddExport","href":"/api-reference/account-data/request-export-report"},{"title":"Get Export Report Status","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/ExportStatus","href":"/api-reference/account-data/get-export-report-status"},{"title":"Retrieve Data Export","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/RetrieveExport","href":"/api-reference/account-data/retrieve-data-export"},{"title":"Delete Export Report","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/RemoveExport","href":"/api-reference/account-data/delete-export-report"},{"title":"Get API Key Info","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/GetApiKeyInfo","href":"/api-reference/account-data/get-api-key-info"},{"title":"List Wallet Accounts","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/ListWalletAccounts","href":"/api-reference/account-data/list-wallet-accounts"}]},{"group":"Trading","public":true,"pages":[{"title":"Add Order","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AddOrder","href":"/api-reference/trading/add-order"},{"title":"Amend Order","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AmendOrder","href":"/api-reference/trading/amend-order"},{"title":"Edit Order","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/EditOrder","href":"/api-reference/trading/edit-order"},{"title":"Cancel Order","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/CancelOrder","href":"/api-reference/trading/cancel-order"},{"title":"Cancel All Orders","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/CancelAll","href":"/api-reference/trading/cancel-all-orders"},{"title":"Cancel All Orders After X","description":"CancelAllOrdersAfter provides a \"Dead Man's Switch\" mechanism to protect the client from network malfunction, extreme latency or unexpected matching engine downtime. The client can send a request with a timeout (in seconds), that will start a countdown timer which will cancel *all* client orders when the timer expires. The client has to keep sending new requests to push back the trigger time, or deactivate the mechanism by specifying a timeout of 0. If the timer expires, all orders are cancelled and then the timer remains disabled until the client provides a new (non-zero) timeout.\n\nThe recommended use is to make a call every 15 to 30 seconds, providing a timeout of 60 seconds. This allows the client to keep the orders in place in case of a brief disconnection or transient delay, while keeping them safe in case of a network breakdown. It is also recommended to disable the timer ahead of regularly scheduled trading engine maintenance (if the timer is enabled, all orders will be cancelled when the trading engine comes back from downtime - planned or otherwise).\n\n**API Key Permissions Required:** `Orders and trades - Create \u0026 modify orders` or `Orders and trades - Cancel \u0026 close orders`\n","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/CancelAllOrdersAfter","href":"/api-reference/trading/cancel-all-orders-after-x"},{"title":"Add Order Batch","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AddOrderBatch","href":"/api-reference/trading/add-order-batch"},{"title":"Cancel Order Batch","description":"Cancel multiple open orders by `txid`, `userref` or `cl_ord_id`(maximum 50 total unique IDs/references)\n\n**API Key Permissions Required:** `Orders and trades - Create \u0026 modify orders` or `Orders and trades - Cancel \u0026 close orders`\n","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/CancelOrderBatch","href":"/api-reference/trading/cancel-order-batch"},{"title":"Get Websockets Token","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/GetWebSocketsToken","href":"/api-reference/trading/get-websockets-token"}]},{"group":"Algo Trading","public":true,"pages":[{"title":"Add Strategy","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AddStrategy","href":"/api-reference/algo-trading/add-strategy"},{"title":"Cancel Strategy","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/CancelStrategy","href":"/api-reference/algo-trading/cancel-strategy"},{"title":"Get Open Strategies","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/GetOpenStrategies","href":"/api-reference/algo-trading/get-open-strategies"},{"title":"Query Strategies","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/QueryStrategies","href":"/api-reference/algo-trading/query-strategies"},{"title":"Get Closed Strategies","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/GetClosedStrategies","href":"/api-reference/algo-trading/get-closed-strategies"}]},{"group":"Funding (Beta)","public":true,"pages":[{"title":"Calculate Funding Fees","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/fees/{method_id}","href":"/api-reference/funding-beta/calculate-funding-fees"},{"title":"Claim Funding Deposit Address","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml put /funding/v1/deposit/address","href":"/api-reference/funding-beta/claim-funding-deposit-address"},{"title":"Create Funding Address","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /funding/v1/addresses","href":"/api-reference/funding-beta/create-funding-address"},{"title":"Create Funding Withdrawal","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /funding/v1/withdrawals","href":"/api-reference/funding-beta/create-funding-withdrawal"},{"title":"Delete Funding Address","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml delete /funding/v1/addresses/{id}","href":"/api-reference/funding-beta/delete-funding-address"},{"title":"List Funding Addresses","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/addresses","href":"/api-reference/funding-beta/list-funding-addresses"},{"title":"List Funding Assets","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/assets/{direction}","href":"/api-reference/funding-beta/list-funding-assets"},{"title":"List Funding Claimed Addresses (v2)","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v2/deposit/addresses","href":"/api-reference/funding-beta/list-funding-claimed-addresses-v2"},{"title":"List Funding Deposit Limits","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/limits/deposit/{asset_class}/{asset}","href":"/api-reference/funding-beta/list-funding-deposit-limits"},{"title":"List Funding Deposits","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/deposits","href":"/api-reference/funding-beta/list-funding-deposits"},{"title":"List Funding Methods","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/methods/{direction}","href":"/api-reference/funding-beta/list-funding-methods"},{"title":"List Funding Networks","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/networks","href":"/api-reference/funding-beta/list-funding-networks"},{"title":"List Funding Withdrawal Limits","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/limits/withdrawal/{asset_class}/{asset}","href":"/api-reference/funding-beta/list-funding-withdrawal-limits"},{"title":"List Funding Withdrawals","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /funding/v1/withdrawals","href":"/api-reference/funding-beta/list-funding-withdrawals"},{"title":"Update Funding Address","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml put /funding/v1/addresses/{id}","href":"/api-reference/funding-beta/update-funding-address"}]},{"group":"Funding (Legacy)","public":true,"pages":[{"title":"Get Deposit Methods","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/DepositMethods","href":"/api-reference/funding/get-deposit-methods"},{"title":"Get Deposit Addresses","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/DepositAddresses","href":"/api-reference/funding/get-deposit-addresses"},{"title":"Get Status of Recent Deposits","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/DepositStatus","href":"/api-reference/funding/get-status-of-recent-deposits"},{"title":"Get Withdrawal Methods","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/WithdrawMethods","href":"/api-reference/funding/get-withdrawal-methods"},{"title":"Get Withdrawal Addresses","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/WithdrawAddresses","href":"/api-reference/funding/get-withdrawal-addresses"},{"title":"Get Withdrawal Information","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/WithdrawInfo","href":"/api-reference/funding/get-withdrawal-information"},{"title":"Withdraw Funds","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Withdraw","href":"/api-reference/funding/withdraw-funds"},{"title":"Get Status of Recent Withdrawals","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/WithdrawStatus","href":"/api-reference/funding/get-status-of-recent-withdrawals"},{"title":"Request Withdrawal Cancellation","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/WithdrawCancel","href":"/api-reference/funding/request-withdrawal-cancellation"},{"title":"Request Wallet Transfer","deprecated":true,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/WalletTransfer","href":"/api-reference/funding/request-wallet-transfer"}]},{"group":"Subaccounts","public":true,"pages":[{"title":"Create Subaccount","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/CreateSubaccount","href":"/api-reference/subaccounts/create-subaccount"},{"title":"Account Transfer","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/AccountTransfer","href":"/api-reference/subaccounts/account-transfer"}]},{"group":"Earn","public":true,"pages":[{"title":"List Earn Strategies","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Earn/Strategies","href":"/api-reference/earn/list-earn-strategies"},{"title":"List Earn Allocations","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Earn/Allocations","href":"/api-reference/earn/list-earn-allocations"},{"title":"Allocate Earn Funds","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Earn/Allocate","href":"/api-reference/earn/allocate-earn-funds"},{"title":"Deallocate Earn Funds","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Earn/Deallocate","href":"/api-reference/earn/deallocate-earn-funds"},{"title":"Get Allocation Status","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Earn/AllocateStatus","href":"/api-reference/earn/get-allocation-status"},{"title":"Get Deallocation Status","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml post /private/Earn/DeallocateStatus","href":"/api-reference/earn/get-deallocation-status"}]},{"group":"Transparency","public":true,"pages":[{"title":"Pre-Trade Data","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/PreTrade","href":"/api-reference/transparency/pre-trade-data"},{"title":"Post-Trade Data","deprecated":null,"version":null,"openapi":"/openapi/spot-rest.yaml get /public/PostTrade","href":"/api-reference/transparency/post-trade-data"}]}]},{"dropdown":"Affiliate REST","icon":"users","groups":[{"group":"Affiliate reporting","public":true,"pages":[{"title":"Get Daily Activity","deprecated":null,"version":null,"openapi":"/openapi/affiliate-rest.yaml get /affiliate/v1/daily-activity","href":"/api-reference/affiliate/get-daily-activity"},{"title":"Get CPA Progress","deprecated":null,"version":null,"openapi":"/openapi/affiliate-rest.yaml get /affiliate/v1/cpa-progress","href":"/api-reference/affiliate/get-cpa-progress"},{"title":"Get Payout History","deprecated":null,"version":null,"openapi":"/openapi/affiliate-rest.yaml get /affiliate/v1/payout-history","href":"/api-reference/affiliate/get-payout-history"}]}]},{"dropdown":"Spot WebSocket v2","icon":"bolt","pages":[{"title":"Spot WebSocket","sidebarTitle":"Spot WebSocket","href":"/exchange/api-reference/spot-websocket"},{"group":"Public Channels","public":true,"pages":[{"title":"Ticker","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/ticker"},{"title":"Book (Level 2)","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/book"},{"title":"Candles (OHLC)","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/ohlc"},{"title":"Trades","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/trade"},{"title":"Instruments","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/instrument"},{"title":"Orders (Level 3)","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/level3"},{"title":"Status","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/status"},{"title":"Heartbeat","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/heartbeat"}]},{"group":"Trading","public":true,"pages":[{"title":"Add Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/add_order"},{"title":"Edit Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/edit_order"},{"title":"Amend Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/amend_order"},{"title":"Cancel Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/cancel_order"},{"title":"Cancel All","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/cancel_all"},{"title":"Cancel on Disconnect","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/cancel_after"},{"title":"Batch Add","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/batch_add"},{"title":"Batch Cancel","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/batch_cancel"}]},{"group":"Account","public":true,"pages":[{"title":"Balances","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/balances"},{"title":"Executions","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/executions"}]},{"group":"System","public":true,"pages":[{"title":"Ping","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v2/ping"}]}]},{"dropdown":"Unified WebSocket","icon":"lock","hidden":true,"groups":[{"group":"Public Channels","public":true,"pages":[{"title":"Ticker","tag":"UWS","href":"/exchange/api-reference/unified-ws/ticker"},{"title":"Book (Level 2)","tag":"UWS","href":"/exchange/api-reference/unified-ws/book"},{"title":"Candles (OHLC)","tag":"UWS","href":"/exchange/api-reference/unified-ws/ohlc"},{"title":"Trades","tag":"UWS","href":"/exchange/api-reference/unified-ws/trade"},{"title":"Instruments","tag":"UWS","href":"/exchange/api-reference/unified-ws/instrument"},{"title":"Orders (Level 3)","tag":"UWS","href":"/exchange/api-reference/unified-ws/level3"},{"title":"Status","tag":"UWS","href":"/exchange/api-reference/unified-ws/status"},{"title":"Heartbeat","tag":"UWS","href":"/exchange/api-reference/unified-ws/heartbeat"}]},{"group":"Trading","public":true,"pages":[{"title":"Add Order","tag":"UWS","href":"/exchange/api-reference/unified-ws/add_order"},{"title":"Amend Order","tag":"UWS","href":"/exchange/api-reference/unified-ws/amend_order"},{"title":"Cancel Order","tag":"UWS","href":"/exchange/api-reference/unified-ws/cancel_order"},{"title":"Cancel All","tag":"UWS","href":"/exchange/api-reference/unified-ws/cancel_all"},{"title":"Cancel on Disconnect","tag":"UWS","href":"/exchange/api-reference/unified-ws/cancel_after"}]},{"group":"Account","public":true,"pages":[{"title":"Balances","tag":"UWS","href":"/exchange/api-reference/unified-ws/balances"},{"title":"Executions","tag":"UWS","href":"/exchange/api-reference/unified-ws/executions"},{"title":"Ledgers","tag":"UWS","href":"/exchange/api-reference/unified-ws/ledgers"},{"title":"Margin","tag":"UWS","href":"/exchange/api-reference/unified-ws/margin"},{"title":"Positions","tag":"UWS","href":"/exchange/api-reference/unified-ws/positions"},{"title":"Preferences","tag":"UWS","href":"/exchange/api-reference/unified-ws/preferences"}]},{"group":"System","public":true,"pages":[{"title":"Ping","tag":"UWS","href":"/exchange/api-reference/unified-ws/ping"}]}]},{"dropdown":"Spot WebSocket v1","icon":"bolt","groups":[{"group":"Public Channels","public":true,"pages":[{"title":"Ticker","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/ticker"},{"title":"Candles (OHLC)","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/ohlc"},{"title":"Trade","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/trade"},{"title":"Spread","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/spread"},{"title":"Book","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/book"}]},{"group":"Trading","public":true,"pages":[{"title":"Add Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/addorder"},{"title":"Edit Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/editorder"},{"title":"Amend Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/amendorder"},{"title":"Cancel Order","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/cancelorder"},{"title":"Cancel All","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/cancelall"},{"title":"Cancel on Disconnect","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/cancelallordersafter"}]},{"group":"Account","public":true,"pages":[{"title":"Own Trades","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/owntrades"},{"title":"Open Orders","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/openorders"}]},{"group":"System","public":true,"pages":[{"title":"Ping","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/ping"},{"title":"Heartbeat","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/heartbeat"},{"title":"System Status","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/systemstatus"},{"title":"Subscription Status","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/subscriptionstatus"},{"title":"Unsubscribe","tag":"WSS","href":"/exchange/api-reference/spot-websocket-v1/unsubscribe"}]}]},{"dropdown":"Derivatives REST","icon":"code","groups":[{"group":"Market Data","public":true,"pages":[{"title":"Get tickers","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /tickers","href":"/api-reference/market-data/get-tickers"},{"title":"Get ticker by symbol","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /tickers/{symbol}","href":"/api-reference/market-data/get-ticker-by-symbol"},{"title":"Get orderbook","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /orderbook","href":"/api-reference/market-data/get-orderbook"},{"title":"Get trade history","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /history","href":"/api-reference/market-data/get-trade-history"}]},{"group":"Instruments","public":true,"pages":[{"title":"Get instruments","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /instruments","href":"/api-reference/instrument-details/get-instruments"},{"title":"Get trading instruments","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /trading/instruments","href":"/api-reference/instrument-details/get-trading-instruments"},{"title":"Get instrument status list","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /instruments/status","href":"/api-reference/instrument-details/get-instrument-status-list"},{"title":"Get instrument status","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /instruments/{symbol}/status","href":"/api-reference/instrument-details/get-instrument-status"}]},{"group":"Order Management","public":true,"pages":[{"title":"Send order","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /sendorder","href":"/api-reference/order-management/send-order"},{"title":"Edit order","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /editorder","href":"/api-reference/order-management/edit-order"},{"title":"Cancel order","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /cancelorder","href":"/api-reference/order-management/cancel-order"},{"title":"Cancel all orders","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /cancelallorders","href":"/api-reference/order-management/cancel-all-orders"},{"title":"Dead man's switch","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /cancelallordersafter","href":"/api-reference/order-management/dead-mans-switch"},{"title":"Batch order management","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /batchorder","href":"/api-reference/order-management/batch-order-management"},{"title":"Get open orders","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /openorders","href":"/api-reference/order-management/get-open-orders"},{"title":"Get Specific Orders' Status","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /orders/status","href":"/api-reference/order-management/get-specific-orders-status"}]},{"group":"Account","public":true,"pages":[{"title":"Get wallets","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /accounts","href":"/api-reference/account-information/get-wallets"},{"title":"Get open positions","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /openpositions","href":"/api-reference/account-information/get-open-positions"},{"title":"Get position percentile of unwind queue","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /unwindqueue","href":"/api-reference/account-information/get-position-percentile-of-unwind-queue"},{"title":"Get portfolio margin parameters","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /portfolio-margining/parameters","href":"/api-reference/account-information/get-portfolio-margin-parameters"},{"title":"Calculate portfolio margin, pnl and greeks","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /portfolio-margining/simulate","href":"/api-reference/account-information/calculate-portfolio-margin-pnl-and-greeks"}]},{"group":"Multi-Collateral","public":true,"pages":[{"title":"Get PNL currency preferences","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /pnlpreferences","href":"/api-reference/multi-collateral/get-pnl-currency-preferences"},{"title":"Set PNL currency preference","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml put /pnlpreferences","href":"/api-reference/multi-collateral/set-pnl-currency-preference"},{"title":"Get leverage settings","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /leveragepreferences","href":"/api-reference/multi-collateral/get-leverage-settings"},{"title":"Set leverage settings","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml put /leveragepreferences","href":"/api-reference/multi-collateral/set-leverage-settings"}]},{"group":"Fee Schedules","public":true,"pages":[{"title":"Get fee schedules","deprecated":true,"version":null,"openapi":"/openapi/futures-rest.yaml get /feeschedules","href":"/api-reference/fee-schedules/get-fee-schedules"},{"title":"Get fee schedule volumes","deprecated":true,"version":null,"openapi":"/openapi/futures-rest.yaml get /feeschedules/volumes","href":"/api-reference/fee-schedules/get-fee-schedule-volumes"}]},{"group":"Historical Data","public":true,"pages":[{"title":"Get your fills","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /fills","href":"/api-reference/historical-data/get-your-fills"},{"title":"Historical funding rates","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /historical-funding-rates","href":"/api-reference/historical-funding-rates/historical-funding-rates"}]},{"group":"Trading Settings","public":true,"pages":[{"title":"Get self trade strategy","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /self-trade-strategy","href":"/api-reference/trading-settings/get-self-trade-strategy"},{"title":"Update self trade strategy","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml put /self-trade-strategy","href":"/api-reference/trading-settings/update-self-trade-strategy"},{"title":"Get the off-book max leverage cap","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /rfq-assignment/max-leverage","href":"/api-reference/trading-settings/get-the-off-book-max-leverage-cap"},{"title":"Set the off-book max leverage cap","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml put /rfq-assignment/max-leverage","href":"/api-reference/trading-settings/set-the-off-book-max-leverage-cap"},{"title":"Clear the off-book max leverage cap","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml delete /rfq-assignment/max-leverage","href":"/api-reference/trading-settings/clear-the-off-book-max-leverage-cap"}]},{"group":"Subaccounts","public":true,"pages":[{"title":"Get subaccounts","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /subaccounts","href":"/api-reference/subaccounts/get-subaccounts"},{"title":"Check subaccount trading status","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /subaccount/{subaccountUid}/trading-enabled","href":"/api-reference/subaccounts/check-subaccount-trading-status"},{"title":"Update subaccount trading status","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml put /subaccount/{subaccountUid}/trading-enabled","href":"/api-reference/subaccounts/update-subaccount-trading-status"}]},{"group":"Transfers","public":true,"pages":[{"title":"Initiate wallet transfer","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /transfer","href":"/api-reference/transfers/initiate-wallet-transfer"},{"title":"Initiate sub account transfer","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /transfer/subaccount","href":"/api-reference/transfers/initiate-sub-account-transfer"},{"title":"Initiate withdrawal to Spot wallet","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /withdrawal","href":"/api-reference/transfers/initiate-withdrawal-to-spot-wallet"}]},{"group":"Assignment Program","public":true,"pages":[{"title":"List assignment programs","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /assignmentprogram/current","href":"/api-reference/assignment-program/list-assignment-programs"},{"title":"Add assignment preference","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /assignmentprogram/add","href":"/api-reference/assignment-program/add-assignment-preference"},{"title":"Deletes assignment preference","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /assignmentprogram/delete","href":"/api-reference/assignment-program/deletes-assignment-preference"},{"title":"List assignment preferences history","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /assignmentprogram/history","href":"/api-reference/assignment-program/list-assignment-preferences-history"}]},{"group":"RFQs","public":true,"pages":[{"title":"List all open RFQs","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /rfqs","href":"/api-reference/rfqs/list-all-open-rfqs"},{"title":"Retrieve a single RFQ (open or recently closed)","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /rfqs/{rfqUid}","href":"/api-reference/rfqs/retrieve-a-single-rfq-open-or-recently-closed"},{"title":"List open offers on open RFQs","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /rfqs/open-offers","href":"/api-reference/rfqs/list-open-offers-on-open-rfqs"},{"title":"List offers placed by the account on closed RFQs","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /rfqs/closed-offers","href":"/api-reference/rfqs/list-offers-placed-by-the-account-on-closed-rfqs"},{"title":"Place new offer on an open RFQ","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /rfqs/place-offer/{rfqUid}","href":"/api-reference/rfqs/place-new-offer-on-an-open-rfq"},{"title":"Cancel open offer on open RFQ","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml delete /rfqs/cancel-offer/{rfqUid}","href":"/api-reference/rfqs/cancel-open-offer-on-open-rfq"},{"title":"List open RFQs for account","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /rfqs/open-rfqs","href":"/api-reference/rfqs/list-open-rfqs-for-account"},{"title":"Create a new RFQ","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /rfqs/open-rfqs","href":"/api-reference/rfqs/create-a-new-rfq"},{"title":"Cancel an open RFQ","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml delete /rfqs/open-rfqs/{rfqUid}","href":"/api-reference/rfqs/cancel-an-open-rfq"},{"title":"Accept an offer on an open RFQ","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml post /rfqs/open-rfqs/accept-offer/{rfqUid}","href":"/api-reference/rfqs/accept-an-offer-on-an-open-rfq"}]},{"group":"General","public":true,"pages":[{"title":"Get notifications","deprecated":null,"version":null,"openapi":"/openapi/futures-rest.yaml get /notifications","href":"/api-reference/general/get-notifications"}]},{"group":"Account History","public":true,"pages":[{"title":"Get execution events","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /executions","href":"/api-reference/account-history/get-execution-events"},{"title":"Get order events","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /orders","href":"/api-reference/account-history/get-order-events"},{"title":"Get trigger events","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /triggers","href":"/api-reference/account-history/get-trigger-events"},{"title":"Get position update events","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /positions","href":"/api-reference/account-history/get-position-update-events"},{"title":"Get account log","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /account-log","href":"/api-reference/account-history/get-account-log"},{"title":"Account log (CSV)","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /accountlogcsv","href":"/api-reference/account-history/account-log-csv"}]},{"group":"Market History","public":true,"pages":[{"title":"Get public execution events","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /market/{tradeable}/executions","href":"/api-reference/market-history/get-public-execution-events"},{"title":"Get public order events","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /market/{tradeable}/orders","href":"/api-reference/market-history/get-public-order-events"},{"title":"Get public mark price events","deprecated":null,"version":null,"openapi":"/openapi/futures-history-rest.yaml get /market/{tradeable}/price","href":"/api-reference/market-history/get-public-mark-price-events"}]},{"group":"Candles","public":true,"pages":[{"title":"Tick Types","deprecated":null,"version":null,"openapi":"/openapi/futures-charts-rest.yaml get /","href":"/api-reference/candles/tick-types"},{"title":"Markets","deprecated":null,"version":null,"openapi":"/openapi/futures-charts-rest.yaml get /{tick_type}","href":"/api-reference/candles/markets"},{"title":"Resolutions","deprecated":null,"version":null,"openapi":"/openapi/futures-charts-rest.yaml get /{tick_type}/{symbol}","href":"/api-reference/candles/resolutions"},{"title":"Market Candles","deprecated":null,"version":null,"openapi":"/openapi/futures-charts-rest.yaml get /{tick_type}/{symbol}/{resolution}","href":"/api-reference/candles/market-candles"}]},{"group":"Analytics","public":true,"pages":[{"title":"Get liquidity pool statistic","deprecated":null,"version":null,"openapi":"/openapi/futures-charts-rest.yaml get /analytics/liquidity-pool","href":"/api-reference/analytics/get-liquidity-pool-statistic"},{"title":"Market Analytics","deprecated":null,"version":null,"openapi":"/openapi/futures-charts-rest.yaml get /analytics/{symbol}/{analytics_type}","href":"/api-reference/analytics/market-analytics"}]},{"group":"API Keys","public":true,"pages":[{"title":"Check v3 API key","deprecated":null,"version":null,"openapi":"/openapi/futures-auth-rest.yaml get /api-keys/v3/check","href":"/api-reference/api-keys/check-v3-api-key"}]}]},{"dropdown":"Derivatives WebSocket","icon":"bolt","pages":[{"title":"Derivatives WebSocket","sidebarTitle":"Derivatives WebSocket","href":"/exchange/api-reference/futures-websocket"},{"group":"Public Channels","public":true,"pages":[{"title":"Ticker","tag":"WSS","href":"/exchange/api-reference/futures-websocket/ticker"},{"title":"Ticker Lite","tag":"WSS","href":"/exchange/api-reference/futures-websocket/ticker_lite"},{"title":"Trade","tag":"WSS","href":"/exchange/api-reference/futures-websocket/trade"},{"title":"Book","tag":"WSS","href":"/exchange/api-reference/futures-websocket/book"},{"title":"Heartbeat","tag":"WSS","href":"/exchange/api-reference/futures-websocket/heartbeat"}]},{"group":"Private Channels","public":true,"pages":[{"title":"Balances","tag":"WSS","href":"/exchange/api-reference/futures-websocket/balances"},{"title":"Fills","tag":"WSS","href":"/exchange/api-reference/futures-websocket/fills"},{"title":"Open Orders","tag":"WSS","href":"/exchange/api-reference/futures-websocket/open_orders"},{"title":"Open Orders (Verbose)","tag":"WSS","href":"/exchange/api-reference/futures-websocket/open_orders_verbose"},{"title":"Open Positions","tag":"WSS","href":"/exchange/api-reference/futures-websocket/open_position"},{"title":"Account Log","tag":"WSS","href":"/exchange/api-reference/futures-websocket/account_log"},{"title":"Notifications","tag":"WSS","href":"/exchange/api-reference/futures-websocket/notifications"}]},{"group":"Authentication","public":true,"pages":[{"title":"Challenge","tag":"WSS","href":"/exchange/api-reference/futures-websocket/challenge"}]}]},{"dropdown":"Unified FIX","icon":"terminal","pages":[{"title":"Unified FIX","sidebarTitle":"Unified FIX","href":"/exchange/api-reference/unified-fix"},{"group":"Trading","public":true,"pages":[{"title":"New Order Single","tag":"FIX","href":"/exchange/api-reference/unified-fix/nos"},{"title":"Order Cancel Request","sidebarTitle":"Cancel Order","tag":"FIX","href":"/exchange/api-reference/unified-fix/ocr"},{"title":"Order Cancel Replace Request","sidebarTitle":"Cancel Replace","tag":"FIX","href":"/exchange/api-reference/unified-fix/ocrr"},{"title":"Order Status Request","sidebarTitle":"Order Status","tag":"FIX","href":"/exchange/api-reference/unified-fix/osr"},{"title":"Order Mass Cancel Request","sidebarTitle":"Mass Cancel","tag":"FIX","href":"/exchange/api-reference/unified-fix/omcr"},{"title":"Execution Report","tag":"FIX","href":"/exchange/api-reference/unified-fix/er"}]},{"group":"Market Data","public":true,"pages":[{"title":"Instrument List Request","sidebarTitle":"Instrument List Req","tag":"FIX","href":"/exchange/api-reference/unified-fix/slr"},{"title":"Instrument List","tag":"FIX","href":"/exchange/api-reference/unified-fix/sl"},{"title":"Market Data Request","tag":"FIX","href":"/exchange/api-reference/unified-fix/mdr"},{"title":"Market Data Request Reject","sidebarTitle":"MD Request Reject","tag":"FIX","href":"/exchange/api-reference/unified-fix/mdrr"},{"title":"Market Data Snapshot Full Refresh","sidebarTitle":"MD Snapshot Full Refresh","tag":"FIX","href":"/exchange/api-reference/unified-fix/mdsfr"},{"title":"Market Data Incremental Refresh","sidebarTitle":"MD Incremental Refresh","tag":"FIX","href":"/exchange/api-reference/unified-fix/mdir"},{"title":"News","sidebarTitle":"News","tag":"FIX","href":"/exchange/api-reference/unified-fix/news"},{"title":"Trading Session Status Request","sidebarTitle":"Session Status Request","tag":"FIX","href":"/exchange/api-reference/unified-fix/tssr"},{"title":"Trading Session Status","sidebarTitle":"Session Status","tag":"FIX","href":"/exchange/api-reference/unified-fix/tss"}]},{"group":"Session","public":true,"pages":[{"title":"Header \u0026 Trailer","tag":"FIX","href":"/exchange/api-reference/unified-fix/header-trailer"},{"title":"Logon","tag":"FIX","href":"/exchange/api-reference/unified-fix/logon"},{"title":"Logout","tag":"FIX","href":"/exchange/api-reference/unified-fix/logout"},{"title":"Resend Request","tag":"FIX","href":"/exchange/api-reference/unified-fix/resend-request"},{"title":"Reject - Session Level","sidebarTitle":"Session Reject","tag":"FIX","href":"/exchange/api-reference/unified-fix/reject-session"},{"title":"Reject - Business Level","sidebarTitle":"Business Reject","tag":"FIX","href":"/exchange/api-reference/unified-fix/reject-business"},{"title":"Sequence Reset","tag":"FIX","href":"/exchange/api-reference/unified-fix/sequence-reset"}]}]},{"dropdown":"SBE","icon":"chart-line","pages":[{"title":"SBE","sidebarTitle":"SBE","href":"/exchange/api-reference/sbe"},{"group":"Session","public":true,"pages":[{"title":"Negotiate","tag":"SBE","href":"/exchange/api-reference/sbe/negotiate"},{"title":"NegotiationResponse","tag":"SBE","href":"/exchange/api-reference/sbe/negotiation-response"},{"title":"NegotiationReject","tag":"SBE","href":"/exchange/api-reference/sbe/negotiation-reject"},{"title":"AdminHeartbeat","tag":"SBE","href":"/exchange/api-reference/sbe/admin-heartbeat"},{"title":"SubscriberHeartbeat","tag":"SBE","href":"/exchange/api-reference/sbe/subscriber-heartbeat"},{"title":"Terminate","tag":"SBE","href":"/exchange/api-reference/sbe/terminate"},{"title":"SubscriptionRequest","tag":"SBE","href":"/exchange/api-reference/sbe/subscription-request"},{"title":"SubscriptionResponse","tag":"SBE","href":"/exchange/api-reference/sbe/subscription-response"},{"title":"Session enums \u0026 encodings","tag":"SBE","href":"/exchange/api-reference/sbe/session-types"}]},{"group":"Market Data","public":true,"pages":[{"title":"InstrumentDefinitionSnapshot","tag":"SBE","href":"/exchange/api-reference/sbe/instrument-definition-snapshot"},{"title":"OrderBookIncremental","tag":"SBE","href":"/exchange/api-reference/sbe/order-book-incremental"},{"title":"TradeIncremental","tag":"SBE","href":"/exchange/api-reference/sbe/trade-incremental"},{"title":"OrderBookSnapshot","tag":"SBE","href":"/exchange/api-reference/sbe/order-book-snapshot"},{"title":"InstrumentStatusIncremental","tag":"SBE","href":"/exchange/api-reference/sbe/instrument-status-incremental"},{"title":"TradingSessionStatusIncremental","tag":"SBE","href":"/exchange/api-reference/sbe/trading-session-status-incremental"},{"title":"InstrumentDefinitionIncremental","tag":"SBE","href":"/exchange/api-reference/sbe/instrument-definition-incremental"},{"title":"TradingSessionStatusSnapshot","tag":"SBE","href":"/exchange/api-reference/sbe/trading-session-status-snapshot"},{"title":"Market data enums \u0026 encodings","tag":"SBE","href":"/exchange/api-reference/sbe/market-data-types"}]}]},{"dropdown":"Drop Copy","icon":"copy","hidden":true,"pages":[{"title":"Drop Copy","sidebarTitle":"Drop Copy","href":"/exchange/api-reference/drop-copy"},{"group":"Session","public":true,"pages":[{"title":"Logon","tag":"FIX","href":"/exchange/api-reference/drop-copy/logon"},{"title":"Logout","tag":"FIX","href":"/exchange/api-reference/drop-copy/logout"},{"title":"Heartbeat","tag":"FIX","href":"/exchange/api-reference/drop-copy/heartbeat"},{"title":"Test Request","tag":"FIX","href":"/exchange/api-reference/drop-copy/test-request"},{"title":"Resend Request","tag":"FIX","href":"/exchange/api-reference/drop-copy/resend-request"},{"title":"Sequence Reset","tag":"FIX","href":"/exchange/api-reference/drop-copy/sequence-reset"},{"title":"Reject","tag":"FIX","href":"/exchange/api-reference/drop-copy/reject"},{"title":"Header \u0026 Trailer","tag":"FIX","href":"/exchange/api-reference/drop-copy/header-trailer"}]},{"group":"Execution","public":true,"pages":[{"title":"Execution Report","tag":"FIX","href":"/exchange/api-reference/drop-copy/er"}]}]},{"dropdown":"Unified FIX v2","icon":"terminal","pages":[{"title":"Unified FIX v2","sidebarTitle":"Unified FIX v2","href":"/exchange/api-reference/unified-fix-v2"},{"group":"Session","public":true,"pages":[{"title":"Logon","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/logon"},{"title":"Logout","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/logout"},{"title":"Heartbeat","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/heartbeat"},{"title":"Test Request","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/test-request"},{"title":"Resend Request","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/resend-request"},{"title":"Sequence Reset","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/sequence-reset"},{"title":"Header \u0026 Trailer","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/header-trailer"}]},{"group":"Order Entry","public":true,"pages":[{"title":"New Order Single","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/nos"},{"title":"Order Cancel Request","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/ocr"},{"title":"Order Cancel Replace Request","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/ocrr"},{"title":"Order Mass Cancel Request","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/omcr"},{"title":"Order Status Request","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/osr"}]},{"group":"Execution \u0026 Rejects","public":true,"pages":[{"title":"Execution Report","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/er"},{"title":"Order Cancel Reject","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/ocj"},{"title":"Reject (Session)","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/reject-session"},{"title":"Business Message Reject","tag":"FIX","href":"/exchange/api-reference/unified-fix-v2/reject-business"}]}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/exchange/changelog"}]}]},{"product":"Institutional","pages":[{"title":"Institutional","href":"/institutional/guides/overview"}]},{"product":"Pay","pages":[{"title":"Pay","href":"/pay/guides/pay-webhook"}]},{"product":"Nodes","hidden":true,"pages":[{"title":"Nodes","href":"/nodes/guides/introduction"}]}]},"basePath":"","title":"Add Order Batch - Kraken Developers","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}